Bug 734779 - RFE: When an nvr is explicitly specified, don't change it when depsolving
Summary: RFE: When an nvr is explicitly specified, don't change it when depsolving
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 12:18 UTC by Mads Kiilerich
Modified: 2014-01-21 23:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 20:45:10 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-08-31 12:18:56 UTC
While trying to build a live image from the current slightly broken f16 updates-testing I explicitly specified a previous (and available) version of evolution-data-server, essentially:

  evolution-data-server-3.1.5-2.fc16
  gnome-shell-3.1.4-2.gite7b9933.fc16
  gnome-panel

gnome-shell-3.1.4-2.gite7b9933.fc16 requires libcamel-1.2.so.28 which evolution-data-server-3.1.5-2.fc16 provides. (It turns out that the latest gnome-panel has conflicting requirements - the issue is that I don't get any indication of that.)

The resolution of that package list goes like this:

Checking deps for evolution-data-server.i686 0:3.1.5-2.fc16 - u
...
looking for ('evolution-data-server', 'GE', ('0', '1.9.1', None)) as a requirement of gnome-panel.i686 0:3.1.5-5.fc16 - u
...
TSINFO: Marking evolution-data-server-3.1.90-1.fc16.i686 as install for gnome-panel-3.1.5-5.fc16.i686
...
Checking deps for evolution-data-server.i686 0:3.1.5-2.fc16 - u
gnome-shell-3.1.4-2.gite7b9933.fc16.i686 requires: libcamel-1.2.so.28
Searching pkgSack for dep: libcamel-1.2.so.28
Potential resolving package evolution-data-server-3.1.5-1.fc16.i686 has newer instance in ts.
Potential resolving package evolution-data-server-3.1.5-1.fc16.i686 has newer instance in ts.
Potential resolving package evolution-data-server-3.1.5-2.fc16.i686 has newer instance in ts.
Checking deps for evolution-data-server.i686 0:3.1.90-1.fc16 - u
...
Checking deps for evolution-data-server.i686 0:3.1.5-2.fc16 - u
...
Error creating Live CD : Failed to build transaction : gnome-shell-3.1.4-2.gite7b9933.fc16.i686 requires libcamel-1.2.so.28

That message is wrong/confusing. I explicitly specified evolution-data-server-3.1.5-2.fc16 which do provide libcamel-1.2.so.28.

Instead I would expect a helpful error message with evolution-data-server collision failure. It shouldn't consider 3.1.5-5 as an update of 3.1.5-2 when I explicitly specified 3.1.5-2.


livecd-tools-16.4-1.fc16.i686
yum-3.4.3-4.fc16.noarch
rpm-4.9.1.1-2.fc16.i686

Comment 1 Fedora Admin XMLRPC Client 2012-04-27 15:24:42 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora End Of Life 2013-01-16 16:45:50 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora End Of Life 2013-02-13 20:45:14 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.